Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367205 - Hammer remove-version command is not functional
Summary: Hammer remove-version command is not functional
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 21:18 UTC by Oleg Lymarchuk
Modified: 2016-10-09 18:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-16 10:06:15 UTC


Attachments (Terms of Use)
the whole console text (deleted)
2016-08-15 21:18 UTC, Oleg Lymarchuk
no flags Details

Description Oleg Lymarchuk 2016-08-15 21:18:43 UTC
Created attachment 1190989 [details]
the whole console text

Description of problem:
hammer's 'content-view remove-version command' does nothing

Version-Release number of selected component (if applicable): 6.2 at least


How reproducible: 
absolutely


Steps to Reproduce:
1. ssh to any of the fresh hosts with Satellite 6.2 installed
2. enter hammer shell
3. create any kind of a content view
4. publish it
5. get the version id
6. try to remove the version with the 'remove-version' command
7. get the info with the 'info' command

Actual results:
The version is still there

Expected results:
The version should be removed

Comment 1 Lukas Pramuk 2016-08-16 10:06:15 UTC
NOTABUG.


Please refer to https://bugzilla.redhat.com/show_bug.cgi?id=1320146 for an explanation.

In short:
- hammer content-view remove-version is only for composite CVs
- for regular CVs use hammer content-view remove --content-view-version-ids instead.


Note You need to log in before you can comment on or make changes to this bug.